import { useRef, useEffect } from 'react';
import { select, axisBottom, timeFormat } from 'd3';

const tickFormat = timeFormat('%b/%y');
export const XAxis = ({ xScale, innerHeight }) => {
  const ref = useRef();
  useEffect(() => {
  	const xAxisG = select(ref.current);
    const xAxis = axisBottom(xScale)
    	.tickSize([-innerHeight])
    	.tickPadding(18)
    	.tickFormat(tickFormat);
    xAxisG.call(xAxis);
  }, []);
 return <g ref={ref} transform={`translate(0, ${innerHeight})`} />;
};